Name:           opam
Version:        1.2.2
Release:        %mkrel 2
Summary:        A source-based package manager for OCaml
License:        LGPLv3
Group:          Development/OCaml
URL:            http://opam.ocamlpro.com/
Source0:        https://github.com/ocaml/opam/releases/download/%{version}/%{name}-full-%{version}.tar.gz
Patch0:		opam-1.2.2-dose3-4.0.1.patch
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-camlp4-devel
BuildRequires:  hevea
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-cudf-devel
BuildRequires:  ocaml-ocamlgraph-devel
BuildRequires:  ocaml-cmdliner-devel
BuildRequires:  ocaml-re-devel
BuildRequires:  ocaml-dose3-devel
BuildRequires:  ocaml-extlib-devel
BuildRequires:  ocaml-jsonm-devel

%description
OPAM stands for OCaml PAckage Manager.
It aims to suit to a vast number of users and use cases,
and has unique features:

 * Powerful handling of dependencies:
   versions constraints, optional dependencies, conflicts, etc.
 * Multiple repositories backends: HTTP, rsync, git
 * Ease to create packages and repositories
 * Ability to switch between different compiler versions

Typically, OPAM will probably make your life easier if you recognize
yourself in at least one of these profiles:

 * You use multiple versions of the OCaml compiler, or you hack the
   compiler yourself and needs to frequently switch between compiler
   versions.
 * You use or develop software that needs a specific and/or modified
   version of the OCaml compiler to be installed.
 * You use or develop software that depends on a specific version of an
   OCaml library, or you just want to install a specific version of a
   package, not just the latest one.
 * You want to create your own packages yourself, put them on your own
   repository, with minimal effort.

%package        doc
Summary:        Documentation files for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains documentation for using %{name}.

%prep
%setup -q -n %{name}-full-%{version}
%autopatch -p1

%build
%configure2_5x

make all
make man
pushd doc/dev-manual/
  make html
  make clean
popd

%install
%makeinstall_std

%files
%doc README.md LICENSE CHANGES
%doc AUTHORS CONTRIBUTING.md
%{_bindir}/%{name}
%{_bindir}/%{name}-admin
%{_bindir}/%{name}-installer
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-*.1*

%files doc
%doc doc/
%doc tests/
%doc shell/


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 1.2.2-2.mga6
+ Revision: 1056456
- Rebuild for fix in ocaml

* Tue Feb 09 2016 pterjan <pterjan> 1.2.2-1.mga6
+ Revision: 951002
- Update to 1.2.2
- Update to 1.2.2

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild
    - Mageia 4 Mass Rebuild

  + daviddavid <daviddavid>
    - fix License
    - fix Group
    - use %%configure2_5x and %%makeinstall_std

  + blue_prawn <blue_prawn>
    - update from RC1 to final release
    - increm mkrel
    - the new booter may work

  + malo <malo>
    - add missing buildrequires

* Wed Oct 16 2013 blue_prawn <blue_prawn> 1.1.0-1.mga4
+ Revision: 501615
- from beta to official release
- from beta to official release

* Mon Sep 23 2013 blue_prawn <blue_prawn> 1.1.0-1.beta.mga4
+ Revision: 484358
- try with the "ocp-build.boot" of the previous version
- updated to last version 1.1.0-beta
- make Opam able to open .tar.lzma and .tar.xz archives

* Mon Apr 01 2013 blue_prawn <blue_prawn> 1.0.0-1.mga3
+ Revision: 407071
- build requires camlp4
- imported package opam

